1

I'm using Ubuntu 14.04 and i recently installed python 3.6 since the default python version is 2.7 i used an alias to python 3.6 (alias python=python3) in ~/.barchrc.

Now when I type python in terminal the python 3.5 terminal opens. But when I type pip-V it shows the path of an older version which is python 3.4.

tromesh@TR:/usr/local/bin$ pip3 -V
pip 9.0.1 from /usr/local/lib/python3.4/dist-packages (python 3.4)

How can I install pip3 for python 3.6? or how can I make python 3.6 as my default?

2

I guess this may be because you installed Python 3.6 package does not contain pip, e.g. the PPA maintainer does not package python3.6-pip.

You can download the tarball at python.org and compile Python 3.6 yourself (do not forget to install dependencies like libssl-dev first), which has pip built-in.

sudo apt-get install libssl-dev
# download tarball from python.org
tar xf python-3.*.tar.xz
cd Python-3.6.*/
configure
make
sudo make install

Your Answer

By clicking "Post Your Answer", you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.